Subject: Splitting stk1160-ac97 as a module (Re: linux-next: Tree for May 1 (media/usb/stk1160))

From: Ezequiel Garcia <[email-masked]>
Date: Sat, 4 May 2013 14:21:44 -0300

Hi Mauro,

On Thu, May 02, 2013 at 11:52:33AM -0300, Mauro Carvalho Chehab wrote:
> >
> > is unreliable (doesn't do what some people expect) when SND=m and SND_AC97_CODEC=m,
> > since VIDEO_STK1160_AC97 is a bool.
> 
> Using select is always tricky.
> 
> I can see a few possible fixes for it:
> 
> 1) split the alsa part into a separate module. IMHO, this is cleaner,
> but requires a little more work.
> 

I'm trying to split the ac97 support into a separate module.
So far I've managed to do this with two different approaches,
but both of them are broken in some way :-(

Couple questions:

1. Is it possible to force two symbols to be both built-in (=y) or both
modules (=m)? This would make one of my solutions work.

2. Do you think it's possible to split this as a module *without*
requesting the driver dynamically? I've tried the same extensions approach
as in em28xx and others, but found some problems with the way
snd-usb-audio driver registers.
 
Thanks,
-- 
Ezequiel García, Free Electrons
Embedded Linux, Kernel and Android Engineering
http://free-electrons.com